OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_OrthographicCamera Class Reference

specifies a OrthographicCamera node of VRML specifying properties of cameras.
An orthographic camera defines a parallel projection from a viewpoint. This camera does
not diminish objects with distance, as a PerspectiveCamera does. The viewing volume for
an orthographic camera is a rectangular parallelepiped (a box).

`#include <Vrml_OrthographicCamera.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_OrthographicCamera ()
Standard_EXPORT | Vrml_OrthographicCamera (const gp_Vec &aPosition, const Vrml_SFRotation &aOrientation, const Standard_Real aFocalDistance, const Standard_Real aHeight)
Standard_EXPORT void | SetPosition (const gp_Vec &aPosition)
Standard_EXPORT gp_Vec | Position () const
Standard_EXPORT void | SetOrientation (const Vrml_SFRotation &aOrientation)
Standard_EXPORT Vrml_SFRotation | Orientation () const
Standard_EXPORT void | SetFocalDistance (const Standard_Real aFocalDistance)
Standard_EXPORT Standard_Real | FocalDistance () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
gp_Vec | myPosition
Vrml_SFRotation | myOrientation
Standard_Real | myFocalDistance
Standard_Real | myHeight

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_OrthographicCamera::Vrml_OrthographicCamera | ( |  | ) |

Standard_EXPORT Vrml_OrthographicCamera::Vrml_OrthographicCamera | ( | const gp_Vec & | aPosition,
|  | const Vrml_SFRotation & | aOrientation,
|  | const Standard_Real | aFocalDistance,
|  | const Standard_Real | aHeight
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Real Vrml_OrthographicCamera::FocalDistance | ( |  | ) | const

Standard_EXPORT Standard_Real Vrml_OrthographicCamera::Height | ( |  | ) | const

void Vrml_OrthographicCamera::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_OrthographicCamera::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_OrthographicCamera::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Vrml_SFRotation Vrml_OrthographicCamera::Orientation | ( |  | ) | const

Standard_EXPORT gp_Vec Vrml_OrthographicCamera::Position | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_OrthographicCamera::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_OrthographicCamera::SetFocalDistance | ( | const Standard_Real | aFocalDistance | ) |

Standard_EXPORT void Vrml_OrthographicCamera::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void Vrml_OrthographicCamera::SetOrientation | ( | const Vrml_SFRotation & | aOrientation | ) |

Standard_EXPORT void Vrml_OrthographicCamera::SetPosition | ( | const gp_Vec & | aPosition | ) |

## Field Documentation

Standard_Real Vrml_OrthographicCamera::myFocalDistance`[private]`

Standard_Real Vrml_OrthographicCamera::myHeight`[private]`

Vrml_SFRotation Vrml_OrthographicCamera::myOrientation`[private]`

gp_Vec Vrml_OrthographicCamera::myPosition`[private]`

The documentation for this class was generated from the following file:

- Vrml_OrthographicCamera.hxx